Get environment by ID
curl --request GET \
--url https://api.qovery.com/environment/{environmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/environment/{environmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/environment/{environmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"cloud_provider": {
"provider": "aws",
"cluster": "us-east-2"
},
"mode": "PRODUCTION",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}Environment Main Calls
Get environment by ID
GET
/
environment
/
{environmentId}
Get environment by ID
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Response
Get environment by ID
name is case insensitive
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
DEVELOPMENT, PREVIEW, PRODUCTION, STAGING Example:
"PRODUCTION"
uuid of the user that made the last update
Date after which the environment is automatically deleted. Null when the environment never expires, which is the case for every environment except the throwaway ones created for a single agentic workflow run.
Was this page helpful?